summaryrefslogtreecommitdiff
path: root/tests/misc/date-sec
diff options
context:
space:
mode:
Diffstat (limited to 'tests/misc/date-sec')
-rwxr-xr-xtests/misc/date-sec4
1 files changed, 2 insertions, 2 deletions
diff --git a/tests/misc/date-sec b/tests/misc/date-sec
index aac1e0a98..222b5cfdc 100755
--- a/tests/misc/date-sec
+++ b/tests/misc/date-sec
@@ -3,7 +3,7 @@
# `date --date="21:04 +0100" +%S' always prints `00'.
# Before coreutils-5.2.1, it would print the seconds from the current time.
-# Copyright (C) 2004 Free Software Foundation, Inc.
+# Copyright (C) 2004, 2006 Free Software Foundation, Inc.
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
@@ -27,7 +27,7 @@ fi
pwd=`pwd`
t0=`echo "$0"|sed 's,.*/,,'`.tmp; tmp=$t0/$$
-trap 'status=$?; cd $pwd; chmod -R u+rwx $t0; rm -rf $t0 && exit $status' 0
+trap 'status=$?; cd "$pwd" && chmod -R u+rwx $t0 && rm -rf $t0 && exit $status' 0
trap '(exit $?); exit $?' 1 2 13 15
framework_failure=0